import * as $dara from '@darabonba/typescript';
import { ModifyRouterInterfaceSpecResponseBody } from "./ModifyRouterInterfaceSpecResponseBody";
export declare class ModifyRouterInterfaceSpecResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: ModifyRouterInterfaceSpecResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
